# BukkitLocales (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BukkitLocales

Package co.aikar.commands

# Class BukkitLocales

java.lang.Object
co.aikar.commands.Locales
co.aikar.commands.BukkitLocales

public class BukkitLocales extends co.aikar.commands.Locales

## Field Summary

### Fields inherited from class co.aikar.commands.Locales

`AFRIKAANS, ARABIC, BULGARIAN, CHINESE, CZECH, DANISH, DUTCH, ENGLISH, FINNISH, FRENCH, GERMAN, GREEK, HEBREW, HINDI, HUNGARIAN, ITALIAN, JAPANESE, KOREAN, LATIN, NORWEGIAN_BOKMAAL, NORWEGIAN_NYNORSK, POLISH, PORTUGUESE, ROMANIAN, RUSSIAN, SIMPLIFIED_CHINESE, SPANISH, SWEDISH, THAI, TRADITIONAL_CHINESE, TURKISH, UKRANIAN, VIETNAMESE, WELSH`

## Constructor Summary

Constructors
Constructor
Description
`BukkitLocales(BukkitCommandManager manager)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`loadLanguage(org.bukkit.configuration.file.FileConfiguration config, Locale locale)`
Loads every message from the Configuration object.
`void`
`loadLanguages()`
`boolean`
`loadYamlLanguageFile(File file, Locale locale)`
Loads the given file
`boolean`
`loadYamlLanguageFile(String file, Locale locale)`
Loads a file out of the plugin's data folder by the given name

### Methods inherited from class co.aikar.commands.Locales

`addBundleClassLoader, addMessage, addMessageBundle, addMessageBundle, addMessageBundles, addMessages, addMessageStrings, getDefaultLocale, getMessage, getOptionalMessage, loadMissingBundles, replaceI18NStrings, setDefaultLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BukkitLocales

public BukkitLocales (BukkitCommandManager manager)

## Method Details

### loadLanguages

public void loadLanguages()

Overrides:
  `loadLanguages` in class `co.aikar.commands.Locales`

### loadYamlLanguageFile

public boolean loadYamlLanguageFile (File file, Locale locale) throws IOException, org.bukkit.configuration.InvalidConfigurationException
Loads the given file

Parameters:
  `file` -
  `locale` -
Returns:
  If any language keys were added
Throws:
  `IOException`
  `org.bukkit.configuration.InvalidConfigurationException`

### loadYamlLanguageFile

public boolean loadYamlLanguageFile (String file, Locale locale) throws IOException, org.bukkit.configuration.InvalidConfigurationException
Loads a file out of the plugin's data folder by the given name

Parameters:
  `file` -
  `locale` -
Returns:
  If any language keys were added
Throws:
  `IOException`
  `org.bukkit.configuration.InvalidConfigurationException`

### loadLanguage

public boolean loadLanguage (org.bukkit.configuration.file.FileConfiguration config, Locale locale)
Loads every message from the Configuration object. Any nested values will be treated as namespace so acf-core:\n\tfoo: bar will be acf-core.foo = bar

Parameters:
  `config` -
  `locale` -
Returns:
  If any language keys were added